Profiling on Jetson Tx2 - error incompatible CUDA driver
Hi, I'm trying to profile an application on jetson tx2 to analyse on Nsight on a Ubunto Host. After getting an error from the Nsight profiler "Unable to parse nvprof output" I tested the profiler from the command line on Jetson but received the error: [code] nvidia@tegra-ubuntu:/usr/local/cuda-8.0/bin$ sudo ./nvprof -f --print-api-summary -o ~/project/GIT/nsight/CudaMatlabCoderTest/Debug/output.nvprof ~/project/GIT/nsight/CudaMatlabCoderTest/Debug/CudaMatlabCoderTest ==6907== NVPROF is profiling process 6907, command: /home/nvidia/project/GIT/nsight/CudaMatlabCoderTest/Debug/CudaMatlabCoderTest ======== Error: incompatible CUDA driver version. [/code] Previously to this I uninstalled OpenCV4Tegra and build OpenCV 3.1.0. Before messing the Jetson... - Do I have to install CUDA drivers? From the command line I can see some CUDA driver, but not sure it is correct: [code] nvidia@tegra-ubuntu:/usr/local/cuda-8.0/bin$ dpkg -l *cuda-driver* Desired=Unknown/Install/Remove/Purge/Hold | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad) ||/ Name Version Architecture Description +++-====================-===============-===============-============================================== ii cuda-driver-dev-8-0 8.0.84-1 arm64 CUDA Driver native dev stub library [/code] Some help would be very gratefull. Thanks Andre
Answer Accepted by Original Poster
Hi,
I'm trying to profile an application on jetson tx2 to analyse on Nsight on a Ubunto Host.
After getting an error from the Nsight profiler "Unable to parse nvprof output" I tested the profiler from the command line on Jetson but received the error:

nvidia@tegra-ubuntu:/usr/local/cuda-8.0/bin$ sudo ./nvprof -f --print-api-summary -o ~/project/GIT/nsight/CudaMatlabCoderTest/Debug/output.nvprof ~/project/GIT/nsight/CudaMatlabCoderTest/Debug/CudaMatlabCoderTest 
==6907== NVPROF is profiling process 6907, command: /home/nvidia/project/GIT/nsight/CudaMatlabCoderTest/Debug/CudaMatlabCoderTest
======== Error: incompatible CUDA driver version.


Previously to this I uninstalled OpenCV4Tegra and build OpenCV 3.1.0.

Before messing the Jetson... - Do I have to install CUDA drivers?

From the command line I can see some CUDA driver, but not sure it is correct:

nvidia@tegra-ubuntu:/usr/local/cuda-8.0/bin$ dpkg -l *cuda-driver*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-====================-===============-===============-==============================================
ii cuda-driver-dev-8-0 8.0.84-1 arm64 CUDA Driver native dev stub library


Some help would be very gratefull.

Thanks
Andre

#1
Posted 11/14/2017 07:14 PM   
Solved. Jetson Tx2 was prebuild with OS version 27 and I didn't flash it. On Host I installed a fresh version of Jetpack 3.1 that comes with OS v28.
Solved.

Jetson Tx2 was prebuild with OS version 27 and I didn't flash it. On Host I installed a fresh version of Jetpack 3.1 that comes with OS v28.

#2
Posted 11/15/2017 03:23 PM   
Scroll To Top

Add Reply